.headBarIOS{

}
.headBar{
   position: fixed;
   width: 100%;
   overflow: hidden;
   top: 0px;
   background: #fff;
   z-index: 9999;
}
.headerMarginTop{
   width: 100%;
   height: 51px;
}

.headMenu .menu{
   display: grid;
   grid-template-columns: 50px 1fr 50px;
   grid-template-rows: 50px;
   border-bottom: 1px solid rgba(34,36,38,.15);
}

.headMenu .item1{
   padding: 0;
   border: none;
   color: inherit;
   background-color: transparent;

  /* отображаем курсор в виде руки при наведении; некоторые
  считают, что необходимо оставлять стрелочный вид для кнопок */
  cursor: pointer;
   display: block;
   text-align: center;
   position: relative;
}
.headMenu .item1 .count{
   position: absolute;
   top: 5px;
   right: -5px;
   color: #212121;
   border: solid 2px #212121;
   background-color: #fff;
   border-radius: 5px;
   padding: 0px 3px 0 3px;
   line-height: 120%;
   font-size: 12px;
}
.headMenu .item1 i{
   font-size: 23px;
   text-align: center;
   color: rgba(0,0,0,.87);
}   
.headMenu .item2{
   overflow: hidden;
   white-space: nowrap;
   text-overflow: ellipsis;
   text-align: center;
}
.headMenu .item2 span{
   font-size: 20px;
   line-height:50px;
   text-align: left;
}
.headMenu .item3{
   font-size: 20px;
   text-align: center;
   line-height: 50px;
   color: rgba(0, 0, 0, 0.51);
}
.headMenu .active{
   color: rgb(0, 113, 188);
}

.content-padded{
   margin: 10px;
}



#ajax_time_loader{
   padding: 0px 0px;
 }

 #ajax_time_loader .status{
background-color: #e8e8e8;
height: 5px;
position: relative;

 }

 #ajax_time_loader .status .loader{
   content: '';
   height: 100%;
   background: #b0b0b03d;
   position: absolute;
   left: 0;
   top: 0;
   -moz-transition: all .1s ease-out;
-o-transition: all .1s ease-out;
-webkit-transition: all .1s ease-out;
transition: all .1s ease-out;
}


.dashboard{
   display: grid; 
   grid-template-columns: repeat(auto-fill, [col-start] minmax(110px, 1fr) [col-end]);    
   gap: 5px 5px;
   margin-top: 10px;
}

.dashboard .span1 { grid-column: span 1; }
.dashboard .span2 { grid-column: span 2; }
.dashboard .span3 { grid-column: span 3; }
.dashboard .item{
   background-color: #eee;
}
.dashboard .item {
   position: relative;
}
.dashboard .item .title{
   background-color: rgb(34 36 38 / 10%);
   line-height: 24px;
   padding-left: 4px;
   font-size: 14px;
}
.dashboard .item .title .interval{
   line-height: 24px;
   background: #2185d024;
   float: right;
   padding: 0px 5px;
   cursor: pointer;
}
.dashboard .item .title .focus{
   line-height: 24px;
   background: #2185d073;
   float: right;
   padding: 0px 5px;
}
.dashboard .item .imgStatus{
   display: grid; 
   grid-template-columns: 1fr 1fr; 
}
.dashboard .item .OFFLINE{
   padding: 5px;
   margin: 5px;
   background-color: #ffcaca;
}

.dashboard .item .conditions{
   margin: 5px;
   padding: 5px;
}
.dashboard .item .conditions2col{
   display: grid; 
   grid-template-columns: 1fr 14px; 
}
.dashboard .item .conditions_all{
   background-color: #d9dada;
   margin: 4px 0px 4px 4px;
}
.dashboard .item .conditions_li{
   margin: 4px 0px;
   padding: 0px 5px;
   background-color: #ffffff7a;
   border-right: 10px solid #d9dada;
}
.dashboard .item .conditions_li_true{
   border-right: 3px solid #4caf50;
}
.dashboard .item .conditions_all_true{
   background-color: #4caf50;
}



.dashboard .item .img{
   padding: 10px;
}
.dashboard .item .img img{
   height: 100%;
}

.dashboard .item .status{
   padding-top: 30px;
   padding-left: 10px;
}
.dashboard .item .status img{
  
   width: 20px;
}
.dashboard .item .status_temp{
   font-size: 24px;
   line-height: 26px;
   text-align: center;
   margin-top: 6px;
}  



.dashboard .statisticsPH{
   
}
.dashboard .statistics .info{
   background: rgb(255 255 255 / 28%);
   margin: 3px;
   padding-left: 10px;
   text-align: center;
}
.dashboard .statistics .square1{
   display: inline-block;
   background-color: #f4c63d;
   width: 10px;
   height: 10px;
   margin: 0px 3px;
}
.dashboard .statistics  .square2{
   display: inline-block;
   background-color: #d17905;
   width: 10px;
   height: 10px;
   margin: 0px 3px;
}
.dashboard .statistics  .square3{
   display: inline-block;
   background-color: #453d3f;
   width: 10px;
   height: 10px;
   margin: 0px 3px;
}


.dashboard .acidity_ph{
   display: grid; 
   grid-template-columns: 1fr 1fr; 
   margin-bottom: 20px;
}
.dashboard .acidity_ph .icon{
text-align: right;
}
.dashboard .acidity_ph .icon img{
   width: 150px;
   margin-right: 20px;
}
.dashboard .acidity_ph .info{
   margin-top: 0px;
}
.dashboard .acidity_ph .info .on_off{
   margin-top: 7px;
   margin-right: 12px;
   margin-bottom: 20px;
   text-align: right;
}

.dashboard .acidity_ph .info .value{
   font-size: 35px;
   line-height: 50px;

}
.dashboard .acidity_ph .info .value strong{
   font-size: 70px;
}

.dashboard .acidity_ph_date{
   text-align: right;
   opacity: 0.5;
   position: absolute;
   bottom: 5px;
   right: 10px;
}

.dashboard  .error {
   padding: 10px;
   color: #fff;
   display: grid; 
   grid-template-columns: 60px 1fr; 
}
.dashboard  .error  .icon img{
   width: 50px
}



.dashboard .nutrient_solution{
   display: grid; 
   grid-template-columns: 170px 1fr; 
}
.dashboard .air_parameters{
   display: grid; 
   grid-template-columns: 1fr; 
}




.dashboard .nutrient_solution .info .value{
   font-size: 20px;
   line-height: 24px;
   padding: 10px 5px;
}
.dashboard .air_parameters .info .value {
   display: inline-block;
   padding: 10px;
}


.dashboard .nutrient_solution .info .value strong{
   font-size: 36px;
}
.dashboard .nutrient_solution .info .value .img{
   height: 26px;
   padding: 0px;
   1margin: -2px 1px;
}

.dashboard .nutrient_solution .info .value .given{
   font-size: 14px;
   line-height: 16px;
   color1: #767676;
}

.dashboard .nutrient_solution .info .icon{
   padding: 10px;
   padding-bottom: 0px;
}
.dashboard .nutrient_solution .info .icon img{
  height: 50px;
}
.dashboard .nutrient_solution .date{
   font-size: 14px;
   line-height: 16px;
   padding-left: 5px;
   padding-bottom: 10px;
   color: #767676;
}

.dashboard .nutrient_solution .level{
   padding: 10px;
   position: relative;
}
.dashboard .nutrient_solution .level img{
  
}
.dashboard .nutrient_solution .not-datchik-level-MAX{
   position: absolute;
   width: 18px;
   top: 28px;
   left: 146px;
}.dashboard .nutrient_solution .not-datchik-level-MID{
   position: absolute;
   width: 18px;
   top: 70px;
   left: 146px;
}.dashboard .nutrient_solution .not-datchik-level-MIN{
   position: absolute;
   width: 18px;
   top: 114px;
   left: 146px;
}

.dashboard .topping_up_solutions{
   display: grid; 
   grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;  
   gap: 5px 5px; 
   background: rgb(255 255 255);
}
.dashboard  .topping_up_solutions .topping_up{
   text-align: center;  
   background-color: #eee;
}
.dashboard  .topping_up_solutions .topping_up .topping_up_icon img{
   width: 40px;
   margin-top: 5px;
}

.dashboard  .topping_up_solutions .topping_up .status_icon img{
   width: 15px;
   margin-bottom: 5px;
}



.gp-settings{
   background-color: #eee;
   position: relative;
   padding: 10px;
   margin-bottom: 20px;
}

.gp-settings .title{
   background-color: rgb(34 36 38 / 10%);
    line-height: 30px;
    padding-left: 10px;
    font-size: 16px;
    margin: -10px -10px 10px -10px;
}
.gp-settings .title .slider{
   float: right;
   margin-top: 8px;
   margin-right: 10px;
}

.gp-settings .info{
   display: grid; 
   grid-template-columns: 1fr 80px; 
   grid-template-rows: 1fr; 
   gap: 10px 10px; 
}
.gp-settings .info .boximg img{
width: 100%;
}

.list_time{
   width: 100px;
   font-size: 16px;
   display: inline-block;
}
.list_time_def{
   display: inline-block;
   font-weight: 700;
}
.gp-settings input, .gp-settings select{
   font-size: 16px!important;
    padding: 5px 10px!important;
}


.ssaaa{
   font-size: 18px!important;
   line-height: 32px;

   border-bottom: 1px solid rgba(34,36,38,.15);
   padding-bottom: 10px;
   margin: 10px 0px;
}

.ssaaa .otstup{
margin-top: 10px;
}

.ssaaa .grid-3col-ec{
   display: grid; 
   grid-template-columns: minmax(120px, 140px) minmax(120px, 140px) minmax(120px, 140px); 
   gap: 2px 10px; 
   color: #7a7a7a;
}
.ssaaa .grid-3col-ec .EC_ABC_TimePump{
   font-size: 14px;
   line-height: 16px;

}
.ssaaa input{
   display: inline-block;
    width: 80px !important;
    font-size: 18px!important;
    margin: 0px 6px!important;
    text-align: center;
}

.ssaaa strong{
   margin: 0px 20px 0px 6px!important;

}
.ssaaa span{
   margin: 0px 6px!important;

}

.buttonMGTOP{
   margin-top: 20px!important;
}


.form .error{
   background: #fbc2c2;
   border: 1px solid #db282857;
   padding: 10px;
}


.erroronline{
   background: #ffeeee!important;
   border: 1px solid #db282857!important;
}
 

.error_S{
   background-color: #ffcaca;
   border: 1px solid #db282857!important;
   margin: 10px;
}
.error_S .dfsgsdf{
   margin: 10px 0px 0px 10px;
   display: block;
}
.error_S ul{
   margin: 5px 0px 15px 0px;
   
}
.error_S ul li{
   margin-left: -10px;
   
}

.fieldGridTime{
   display: inline-grid;
   grid-template-columns: repeat(4, 50px);
   gap: 10px;
}
.dfgshdfgcxj{
   display: inline-grid;
   grid-template-columns: 180px 40px 180px;
}.dfgshdfgcxj input{
width: 60px !important;
}.dfgshdfgcxj .fgds{
font-size: 40px;color: rgb(117 117 118);
text-align: center; line-height: 28px;}